Restore blueprint version

Restore a specific blueprint version content as the current draft content

POST
/blueprints/{blueprintId}/restore
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

blueprintIdstring

ID of the blueprint version to restore

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/blueprints/string/restore"
{
  "actions": {
    "property1": {
      "blueprintId": "string",
      "createdAt": "string",
      "deprecated": true,
      "description": "string",
      "id": "string",
      "identifier": "string",
      "inputSchema": null,
      "kind": "sync",
      "name": "string",
      "outputSchema": null,
      "paramsSchema": null,
      "runner": "native",
      "targetId": "string",
      "title": "string",
      "uid": "string",
      "updatedAt": "string",
      "visibility": "public"
    },
    "property2": {
      "blueprintId": "string",
      "createdAt": "string",
      "deprecated": true,
      "description": "string",
      "id": "string",
      "identifier": "string",
      "inputSchema": null,
      "kind": "sync",
      "name": "string",
      "outputSchema": null,
      "paramsSchema": null,
      "runner": "native",
      "targetId": "string",
      "title": "string",
      "uid": "string",
      "updatedAt": "string",
      "visibility": "public"
    }
  },
  "agents": {
    "property1": {
      "avatarPublicUrl": "string",
      "baseModel": "string",
      "blueprintId": "string",
      "color": "string",
      "createdAt": "string",
      "customAvatarId": "string",
      "description": "string",
      "id": "string",
      "identifier": "string",
      "knowledgeBase": {
        "assetId": "string",
        "collectionId": "string",
        "createdAt": "string",
        "description": "string",
        "id": "string",
        "lastIndexedAt": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "name": "string",
        "organizationId": "string",
        "ownerId": "string",
        "postId": "string",
        "spaceId": "string",
        "updatedAt": "string"
      },
      "knowledgeBaseId": "string",
      "llmPrompt": "string",
      "name": "string",
      "organizationId": "string",
      "querySuggestions": [
        {
          "content": "string",
          "id": "string"
        }
      ],
      "serviceAccountId": "string",
      "spaceId": "string",
      "toolIds": [
        "string"
      ],
      "uid": "string",
      "updatedAt": "string"
    },
    "property2": {
      "avatarPublicUrl": "string",
      "baseModel": "string",
      "blueprintId": "string",
      "color": "string",
      "createdAt": "string",
      "customAvatarId": "string",
      "description": "string",
      "id": "string",
      "identifier": "string",
      "knowledgeBase": {
        "assetId": "string",
        "collectionId": "string",
        "createdAt": "string",
        "description": "string",
        "id": "string",
        "lastIndexedAt": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "name": "string",
        "organizationId": "string",
        "ownerId": "string",
        "postId": "string",
        "spaceId": "string",
        "updatedAt": "string"
      },
      "knowledgeBaseId": "string",
      "llmPrompt": "string",
      "name": "string",
      "organizationId": "string",
      "querySuggestions": [
        {
          "content": "string",
          "id": "string"
        }
      ],
      "serviceAccountId": "string",
      "spaceId": "string",
      "toolIds": [
        "string"
      ],
      "uid": "string",
      "updatedAt": "string"
    }
  },
  "authMethods": [
    {
      "blueprintId": "string",
      "createdAt": "string",
      "description": "string",
      "id": "string",
      "kind": "basic",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "name": "string",
      "params": [
        {
          "advanced": true,
          "description": "string",
          "hidden": true,
          "in": "path",
          "mapFrom": "string",
          "name": "string",
          "options": [
            {
              "label": "string",
              "value": "string"
            }
          ],
          "required": true,
          "schema": null,
          "secret": true,
          "title": "string",
          "transforms": [
            {
              "conditions": [
                {
                  "else": {
                    "conditions": [],
                    "source": "string",
                    "target": "string",
                    "transform": "string",
                    "type": "string"
                  },
                  "if": "string",
                  "then": {
                    "conditions": [],
                    "source": "string",
                    "target": "string",
                    "transform": "string",
                    "type": "string"
                  }
                }
              ],
              "source": "string",
              "target": "string",
              "transform": "string",
              "type": "string"
            }
          ],
          "value": null
        }
      ],
      "target": "string",
      "title": "string",
      "updatedAt": "string"
    }
  ],
  "createdAt": "string",
  "description": "string",
  "id": "string",
  "majorVersion": 0,
  "minorVersion": 0,
  "name": "string",
  "project": {
    "appUid": "string",
    "createdAt": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "organizationId": "string",
    "ownerId": "string",
    "spaceId": "string",
    "title": "string",
    "updatedAt": "string"
  },
  "projectId": "string",
  "releaseDate": "string",
  "releaseNote": "string",
  "status": "draft",
  "summary": "string",
  "title": "string",
  "uid": "string",
  "updatedAt": "string",
  "versionName": "string",
  "versionParentId": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}